<?php

/**
 * @file
 * Pane Mover style.
 */

// Plugin definition
$plugin = array(
  'title' => t('Pane Mover style'),
  'description' => t('Stores pane content to use somewhere else.'),
  'render pane' => 'panemover_style_render',
  'pane settings form' => 'panemover_style_settings_form',
);

/**
 * Render callback.
 */
function theme_panemover_style_render($vars) {
  $key = $vars['settings']['key'];
  $content =& panemover_get_reference($key);
  $content = render($vars['content']->content);
  return '';
}

function panemover_style_settings_form($settings) {
  $form['key'] = array(
    '#type' => 'textfield',
    '#title' => t('Key'),
    '#size' => 50,
    '#description' => t('The key to store the pane content.'),
    '#default_value' => !empty($settings['key']) ? $settings['key'] : '',
    '#required' => TRUE,
  );
  return $form;
}
